/*
port/vsyslog.c

Copyright (C) 1999 Lars Brinkhoff.  See COPYING for terms and conditions.
*/

#include <Stdio.h>
#include <Syslog.h>
#include <stdarg.h>

#include "config.h"

#ifndef HAVE_VSYSLOG
void
vsyslog (int level, char *fmt0, va_list ap)
{
  char buffer[512];

  if (vsnprintf (buffer, sizeof buffer, fmt0, ap) > 0)
    syslog (level, buffer);
}
#endif /* HAVE_VSYSLOG */
